| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_TriggerCfg Struct Reference
Overview

All IP triggers. More...

## Data Fields
XDfePrach_Trigger | Activate
                         Toggle between "Initialized",
ultra-low power state, and "Operational". More...
XDfePrach_Trigger | LowPower
                         Toggle between "Low-power"
and "Operational" state More...
XDfePrach_Trigger | RachUpdate
                           Transition to next Rach/CC
configuration. More...
XDfePrach_Trigger | FrameInit [XDFEPRACH_BAND_ID_MAX]
                          Indicate
the boundary of a frame More...

## Detailed Description

All IP triggers.

## Field Documentation

XDfePrach_Trigger XDfePrach_TriggerCfg::Activate

                         Toggle between "Initialized",

ultra-low power state, and "Operational".

One-shot trigger, disabled following a single event

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

XDfePrach_Trigger XDfePrach_TriggerCfg::FrameInit[XDFEPRACH_BAND_ID_MAX]

                          Indicate

the boundary of a frame

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

XDfePrach_Trigger XDfePrach_TriggerCfg::LowPower

                         Toggle between "Low-power"

and "Operational" state

Referenced by XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

XDfePrach_Trigger XDfePrach_TriggerCfg::RachUpdate

                           Transition to next Rach/CC

configuration.

Will initiate flush of Rach channel

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().